package journal.action;

import journal.reader.DataJournalEntry;

public class EmptyFilesizeFinder extends BaseAction {

	@Override
	public void putValue(DataJournalEntry data) throws Exception {
		if( data.getTableName().equals("db.rev") || data.getTableName().equals("db.revhx")) {
			Short action = (Short) data.getValue("action");
			
			if (action != 2 && action != 7) { // delete or movefrom
				Long filesize = (Long) data.getValue("size");
				
				if( filesize == -1 ) {
					out.println(data.toJournalString());
				}
			}
		}
	}

}
